Name:		popt
Version:	1.18
Release:        1
Summary:	C library for parsing command line parameters
License:	MIT
URL:		http://github.com/rpm-software-management/popt
Source0:	http://ftp.rpm.org/%{name}/releases/%{name}-1.x/%{name}-%{version}.tar.gz

Patch0: 	fix-obscure-iconv-mis-call-error-path-could-lead-to-.patch
Patch1: 	fix-handle-newly-added-asset-.-call-like-elsewhere.patch
Patch2: 	fix-permit-reading-aliases-remove-left-over-goto-exi.patch
Patch3: 	fix-coverity-CID-1057440-Unused-pointer-value-UNUSED.patch

BuildRequires:	gcc git gettext

%description
The popt library exists essentially for parsing command line options. Some
specific advantages of popt are no global variables (allowing multiple passes
in parsing argv), parsing an arbitrary array of argv-style elements (allowing
parsing of command-line-strings from any source), a standard method of option
aliasing, ability to exec external option filters, and automatic generation
of help and usage messages.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig
Provides:	%{name}-static = %{version}-%{release}
Obsoletes:	%{name}-static < %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/libpopt.la
mkdir -p %{buildroot}/%{_sysconfdir}/popt.d

%find_lang %{name}

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%{_sysconfdir}/%{name}.d
%{_libdir}/lib%{name}.so*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.a

%files help
%doc CHANGES README
%{_mandir}/man3/%{name}.3.gz

%changelog
* Thu Aug 27 2020 zoulin <zoulin13@huawei.com> - 1.18-1
- Update popt to 1.18

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.16-17
- Strenthen spec

* Fri Aug 30 2019 luhuaxin <luhuaxin@huawei.com> - 1.16-16
- Package init
